Package: org.codehaus.groovy.classgen.asm.util

## [Java] Class LoggableClassVisitor

- org.codehaus.groovy.classgen.asm.util.LoggableClassVisitor

-     public class LoggableClassVisitor
      extends org.objectweb.asm.ClassVisitor

  A ClassVisitor proxy, which can log bytecode generation

  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LoggableClassVisitor(org.objectweb.asm.ClassVisitor cv)` Creates a logging visitor that uses the default compiler configuration.
    `LoggableClassVisitor(org.objectweb.asm.ClassVisitor cv, CompilerConfiguration compilerConfiguration)` Creates a logging visitor that formats bytecode according to the supplied compiler configuration.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.objectweb.asm.ClassVisitor` | `org.objectweb.asm.ClassVisitor#equals(java.lang.Object), org.objectweb.asm.ClassVisitor#getClass(), org.objectweb.asm.ClassVisitor#getDelegate(), org.objectweb.asm.ClassVisitor#hashCode(), org.objectweb.asm.ClassVisitor#notify(), org.objectweb.asm.ClassVisitor#notifyAll(), org.objectweb.asm.ClassVisitor#toString(), org.objectweb.asm.ClassVisitor#visit(int, int, java.lang.String, java.lang.String, java.lang.String, [Ljava.lang.String;), org.objectweb.asm.ClassVisitor#visitAnnotation(java.lang.String, boolean), org.objectweb.asm.ClassVisitor#visitAttribute(org.objectweb.asm.Attribute), org.objectweb.asm.ClassVisitor#visitEnd(), org.objectweb.asm.ClassVisitor#visitField(int, java.lang.String, java.lang.String, java.lang.String, java.lang.Object), org.objectweb.asm.ClassVisitor#visitInnerClass(java.lang.String, java.lang.String, java.lang.String, int), org.objectweb.asm.ClassVisitor#visitMethod(int, java.lang.String, java.lang.String, java.lang.String, [Ljava.lang.String;), org.objectweb.asm.ClassVisitor#visitModule(java.lang.String, int, java.lang.String), org.objectweb.asm.ClassVisitor#visitNestHost(java.lang.String), org.objectweb.asm.ClassVisitor#visitNestMember(java.lang.String), org.objectweb.asm.ClassVisitor#visitOuterClass(java.lang.String, java.lang.String, java.lang.String), org.objectweb.asm.ClassVisitor#visitPermittedSubclass(java.lang.String), org.objectweb.asm.ClassVisitor#visitRecordComponent(java.lang.String, java.lang.String, java.lang.String), org.objectweb.asm.ClassVisitor#visitSource(java.lang.String, java.lang.String), org.objectweb.asm.ClassVisitor#visitTypeAnnotation(int, org.objectweb.asm.TypePath, java.lang.String, boolean), org.objectweb.asm.ClassVisitor#wait(), org.objectweb.asm.ClassVisitor#wait(long), org.objectweb.asm.ClassVisitor#wait(long, int)`

- - ### Constructor Detail

    - #### public LoggableClassVisitor(org.objectweb.asm.ClassVisitor cv)

      Creates a logging visitor that uses the default compiler configuration.

    - #### public LoggableClassVisitor(org.objectweb.asm.ClassVisitor cv, CompilerConfiguration compilerConfiguration)

      Creates a logging visitor that formats bytecode according to the supplied compiler configuration.